%global OpenStackVersion dalmatian
%global OpenStackId 2024.2
Summary: OpenStack from the CentOS Cloud SIG repo configs
Name: centos-release-openstack-%{OpenStackVersion}
Version: 1
Release: 1%{?dist}
License: GPL
URL: http://wiki.centos.org/SpecialInterestGroup/Cloud
Source0: CentOS-OpenStack.repo

BuildArch: noarch

Requires: centos-release
Requires: centos-release-cloud
Requires: centos-release-rabbitmq-38
Requires: centos-release-ceph-reef
Requires: centos-release-nfv-openvswitch

Provides: centos-release-openstack-%{OpenStackId} = %{version}-%{release}

%description
yum Configs and basic docs for OpenStack as delivered via the CentOS Cloud SIG.

%prep

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-OpenStack-%{OpenStackVersion}.repo
sed -i -e "s/OPENSTACK_VERSION/%{OpenStackVersion}/g" %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-OpenStack-%{OpenStackVersion}.repo

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/yum.repos.d/*

%changelog
* Fri Oct 04 2024 Alfredo Moralejo <amoralej@redhat.com> - dalmatian-1-1
- Dalmatian 2024.2 Release

